/*
 * TagAreaListener (c) GIST 1999
 */
  
package fi.helsinki.cs.gist.scroll;

import java.util.EventListener;

/**
 * TagAreaListener is used to decouple TagArea from ScrollBars.
 *
 * @author asaura
 * @version 11.9.1999
 *
 */

interface TagAreaListener extends EventListener {

  void tagAdded(TagEvent e);
  void tagDeleted(TagEvent e);
  void tagChanged(TagEvent e);
  void tagActivated(TagEvent e);
  void tagsShown(TagEvent e);
  void tagsHidden(TagEvent e);
  
}


            
            
